Please backport apt 1.0.9.2ubuntu2 from utopic (to fix do-release-upgrade)

Bug #1591490 reported by danstowell
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
trusty-backports
Undecided
Unassigned
apt (Ubuntu)
Undecided
Unassigned

Bug Description

For me (and apparently many others), upgrading Ubuntu Trusty LTS to Ubuntu Xenial LTS fails because do-release-upgrade bails out because of apt error messages like this:

Unknown Multi-Arch type 'no' for package 'kwin'
Unknown Multi-Arch type 'no' for package 'kwin-dev'
Unknown Multi-Arch type 'no' for package 'kwin-wayland'
Unknown Multi-Arch type 'no' for package 'kwin-x11'
Unknown Multi-Arch type 'no' for package 'libkf5sysguard-dev'

Unknown Multi-Arch type 'no' for package 'compiz-core'
Unknown Multi-Arch type 'no' for package 'compiz-gnome'
Unknown Multi-Arch type 'no' for package 'libxapian-dev'

It is caused by Debian bug #759099 [1] fixed in apt 1.0.7. Therefore I'm requesting a backport of "apt" to trusty.

In the title I've suggested 1.0.9 from utopic - a more recent version might be fine too but when I tried to build the wily version on my local machine it couldn't because the g++ requirement had moved on too far.

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=759099

Revision history for this message
danstowell (danstowell) wrote :

Example Ubuntu issue discussing the upgrade problem:
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1404783

Revision history for this message
Jeremy Bicha (jbicha) wrote :

If upgrading from 14.04 LTS to 16.04 LTS fails, then simply backporting a package won't be enough since backports aren't installed by default.

Revision history for this message
danstowell (danstowell) wrote :

...but it would enable a simple solution, which would be "enable backports, upgrade apt, then go for the release upgrade", no?

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apt (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers